NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Tooling.StandardPartPositionBuilder Class Reference

Represents a StandardPartPositionBuilder to add or edit a standard part in the selected plane with specified position. More...

Inheritance diagram for NXOpen.Tooling.StandardPartPositionBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void PlaneView ()
 Sets the view to the selected face plane or X-Y plane of WCS. More...
 
unsafe void SetFaceCenter ()
 Sets the reference point to the selected face center. More...
 
unsafe void SetOffsetPosition (NXOpen.Point3d position)
 The offset point position. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AssociativePosition [get, set]
 Returns or sets the associative status between standardpart and the offset point. More...
 
unsafe double DxIncrement [get, set]
 Returns or sets the increment in X direction when a standard part is dragged. More...
 
unsafe double DyIncrement [get, set]
 Returns or sets the increment in Y direction when a standard part is dragged. More...
 
unsafe NXOpen.Expression OffsetPositionDx [get]
 Returns the dimension in X direction from reference point to offset point. More...
 
unsafe NXOpen.Expression OffsetPositionDy [get]
 Returns the dimension in Y direction from reference point to offset point. More...
 
unsafe NXOpen.Point ReferencePosition [get, set]
 Returns or sets the reference point position. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a StandardPartPositionBuilder to add or edit a standard part in the selected plane with specified position.

To create a new instance of this class, use NXOpen.Tooling.StandardPartPositionCollection.CreateStandardPartPositionBuilder

Default values.

Property Value

AssociativePosition

1

DxIncrement

1.0

DyIncrement

1.0

OffsetPositionDx.Value

0.0 (millimeters part), 0.0 (inches part)

OffsetPositionDy.Value

0.0 (millimeters part), 0.0 (inches part)

Created in NX8.5.0

Member Function Documentation

unsafe void NXOpen.Tooling.StandardPartPositionBuilder.PlaneView ( )
inline

Sets the view to the selected face plane or X-Y plane of WCS.

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.StandardPartPositionBuilder.SetFaceCenter ( )
inline

Sets the reference point to the selected face center.

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.StandardPartPositionBuilder.SetOffsetPosition ( NXOpen.Point3d  position)
inline

The offset point position.

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
position

Property Documentation

unsafe bool NXOpen.Tooling.StandardPartPositionBuilder.AssociativePosition
getset

Returns or sets the associative status between standardpart and the offset point.

Created in NX8.5.0

License requirements to get this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.StandardPartPositionBuilder.DxIncrement
getset

Returns or sets the increment in X direction when a standard part is dragged.

Created in NX8.5.0

License requirements to get this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.StandardPartPositionBuilder.DyIncrement
getset

Returns or sets the increment in Y direction when a standard part is dragged.

Created in NX8.5.0

License requirements to get this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.StandardPartPositionBuilder.OffsetPositionDx
get

Returns the dimension in X direction from reference point to offset point.

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.StandardPartPositionBuilder.OffsetPositionDy
get

Returns the dimension in Y direction from reference point to offset point.

Created in NX8.5.0

License requirements: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Point NXOpen.Tooling.StandardPartPositionBuilder.ReferencePosition
getset

Returns or sets the reference point position.

Created in NX8.5.0

License requirements to get this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")

License requirements to set this property: ug_mold_design ("UG MOLD") OR nx_electrode_wizard ("NX Electrode Wizard") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.